Subject: pycryptodome bundles libtomcrypt, fonts, JavaScript and CSS

From: Maxime Devos <[email-masked]>
Date: Sun, 11 Jul 2021 23:17:03 +0200

X-Debbugs-CC: slg <[email-masked]>

Hi guix,

In the context of <https://issues.guix.gnu.org/49123>;, I looked
at the source code of pycryptodome, version 3.10.1.  It bundles
some fonts, javascript, CSS, and libtomcrypt.  That's not the
version packaged in guix, but presumably version 3.9.9 has
the same issues as well.

More specifically, the following things are bundled:

Doc/sphinx_rtd_theme/static/js/theme.js: Minified
javascript code. It starts with
/* sphinx_rtd_theme version 0.4.0 | MIT license */

Doc/sphinx_rtd_theme/static/js/modernizr.min.js:
Likewise, and starts with /* Modernizr 2.6.2 (Custom Build) | MIT & BSD */

Doc/sphinx_rtd_theme/static/fonts: Various fonts
(‘font awesome’, ‘roboto slab’, ‘lato’, ‘inconsolata’).

Doc/sphinx_rtd_theme/static/css: Minified CSS. One file starts with
/* sphinx_rtd_theme version 0.4.0 | MIT license */, the other is of unknon
origin. There are also 'css.map' files. I don't know what these are.

src/libtom: Bundled headers from 'libtomcrypt'.  Curiously, I don't see
corresponding '.c' files.

Greetings,
Maxime.